import java.awt.*;
import java.awt.image.*;
import java.lang.Math;

public class read {

 public static int width = 20;
 public static int height = 10;
 public static int[][] array = new int[height][width];

 public static int get_state (int pixel) {
   int alpha = (pixel >> 24) & 0xff;
   int red   = (pixel >> 16) & 0xff;
   int green = (pixel >>  8) & 0xff;
   int blue  = (pixel      ) & 0xff;

   if ((red ==  80) && (green ==  80) && (blue ==  80)) return 0; else
   if ((red == 230) && (green ==   0) && (blue ==   0)) return 1; else
   if ((red == 255) && (green == 200) && (blue ==   0)) return 2; else
   return -1;
 }

 public static void read_image (String filename) {
   Image img = Toolkit.getDefaultToolkit().getImage(filename + ".png");
   int[] pixels = new int[width*height];

   PixelGrabber pg = new PixelGrabber(img, 0, 0, width, height, pixels, 0, width);
   try {
     pg.grabPixels();
   } catch (InterruptedException e) {
     System.err.println("Waiting!");
     return;
   }

   if ((pg.getStatus() & ImageObserver.ABORT) != 0) {
     System.err.println("Read image failed!");
     return;
   }

   for (int i = 0; i < height; i++) for (int j = 0; j < width; j++)
    array[i][j] = get_state(pixels[i*width + j]);
 }

 public static void print_array () {
   for (int i = 0; i < height; i++) {
     for (int j = 0; j < width; j++) System.out.print(" " + array[i][j]);
     System.out.println();
   }
 }

 public static void main (String[] args) {
   read_image("input");
   print_array();
 }

}
